module Main exposing (main)

import Browser
import Core
import Json.Decode as Decode
import Url
import Views


main : Program Decode.Value Core.FullModel Core.Msg
main =
    Browser.application
        { init = Core.init
        , update = Core.update
        , view = Views.view
        , subscriptions = \_ -> Sub.none
        , onUrlChange = onUrlChange
        , onUrlRequest = onUrlRequest
        }


onUrlChange : Url.Url -> Core.Msg
onUrlChange _ =
    Core.Noop


onUrlRequest : Browser.UrlRequest -> Core.Msg
onUrlRequest _ =
    Core.Noop
